Name: ovirt-engine-sdk-python
Version: 3.3.0.7
Release: 1%{dist}
Summary: oVirt Engine Software Development Kit (Python)
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-sdk
# cd ovirt-engine-sdk
# git archive --prefix ovirt-engine-sdk-python-3.3.0.7/ 3.3.0.7 | xz > ovirt-engine-sdk-python-3.3.0.7.tar.xz
Source: ovirt-engine-sdk-python-%{version}.tar.xz

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildArch: noarch

Requires: python
Requires: python-lxml

Provides:  ovirt-engine-sdk = %{version}-%{release}
Obsoletes: ovirt-engine-sdk < 3.3.0.6

%description
This package contains The oVirt-Engine Software Development Kit.
With this package, custom software can be built for oVirt-Engine.

%prep
%setup -q

# Remove the shebang from the params.py file, as this file isn't intended as an
# executable script:
sed -i 1d src/ovirtsdk/xml/params.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/ovirtsdk
%{python_sitelib}/ovirt_engine_sdk_python-*-info
%doc AUTHORS README LICENSE

%changelog
* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.7-1
- Update to upstream 3.3.0.7

* Mon Sep 16 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.6-1
- Update to upstream 3.3.0.6
- Renamed package from ovirt-engine-sdk to ovirt-engine-sdk-python
- Spec cleanups suggested by Christopher Meng <cickumqt@gmail.com>
- Avoid duplicated files
- Remove shebang from params.py
- Put all docs files in one line
- Fix Provides and Obsoletes required for renaming the package

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 14 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.11-1
- Update to upstream 3.2.0.11

* Mon Mar 11 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.10-1
- Update to upstream 3.2.0.10

* Wed Feb 20 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-1
- Update to upstream 3.2.0.9

* Wed Jan 30 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.8-1
- Update to upstream 3.2.0.8
- Fix for #905359

* Thu Sep 20 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.2-1
- Update to upstream 3.2.0.2

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 7 2012 Ofer Schreiber <oschreib@redhat.com> - 1.3-1
- rebuilt for new upstream 1.3

* Tue Feb 7 2012 Michael Pasternak <mpastern@redhat.com> - 1.3
- rebased to latest ovirt-engine-api:
  - added update() for role resource
  - various parameter wrapping improvements

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- use direct URI on get(id=x) rather than search pattern
- extention for #782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- add connectivity check and disconnect methods for #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
